<template>
  <section class="layout">
    <Header/>
    <div class="content-container">
      <router-view/>
    </div>
    <Footer/>
  </section>
</template>


<script lang="ts">
import { defineComponent } from 'vue'
import Header from '../components/Header.vue'
import Footer from '../components/Footer.vue'

export default defineComponent({
  components:{
    Header,
    Footer
  }
})
</script>

<style lang="scss" scoped>
  .layout{
    min-height: 100vh;
  }

  .content-container{
    max-width: 1216px;
    margin: 0 auto;
  }
</style>